Modules | Alphabetical List | Class List | Directories | File List | File Members | GIL Home Page # cmyk.hpp File Reference ## Detailed Description Support for CMYK color space and variants. Author: Lubomir Bourdev and Hailin Jin Adobe Systems Incorporated Date: 2005-2007 Last updated on September 18, 2006 `#include "gil_config.hpp"` `#include "metafunctions.hpp"` `#include <boost/mpl/range_c.hpp>` `#include <boost/mpl/vector_c.hpp>` Go to the source code of this file.
## Namespaces
namespace | boost
namespace | boost::gil
## Classes
struct | cyan_t
| Cyan. More...
struct | magenta_t
| Magenta. More...
struct | yellow_t
| Yellow. More...
struct | black_t
| Black. More...
## Typedefs
typedef mpl::vector4< cyan_t, magenta_t, yellow_t, black_t > | boost::gil::cmyk_t
typedef layout< cmyk_t > | boost::gil::cmyk_layout_t
## Functions
template<typename IC>
type_from_x_iterator< planar_pixel_iterator< IC, cmyk_t > >::view_t | boost::gil::planar_cmyk_view (int width, int height, IC c, IC m, IC y, IC k, std::ptrdiff_t rowsize_in_bytes)
| from raw CMYK planar data